API referenceCampaigns
Get a campaign
GET
header
X-API-Key<token>Create in the console: Settings → API & webhooks.
campaign_id*stringCampaign ID.
Format
uuidOK
application/json- response
The campaign after the request.
campaign?|The campaign.
success?|Always true.
[key: string]?anycurl -X GET 'https://api.callmitra.ai/api/v1/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "campaign": { "agentId": "9a8b7c6d-5e4f-4a3b-2c1d-0e9f8a7b6c5d", "autoDialEnabled": false, "createdAt": "2026-11-15T10:00:00Z", "direction": "outbound", "id": "3f6c1b2a-7d4e-4a1b-9c2d-5e6f7a8b9c0d", "isActive": false, "name": "December renewals", "phoneNumberId": "1b2c3d4e-5f6a-4b7c-8d9e-0f1a2b3c4d5e", "settings": { "dialWindowEnd": "18:00", "dialWindowStart": "10:00", "maxCallsPerDay": 200, "maxConcurrentCalls": 2, "pacingSeconds": 5 }, "stats": { "calledLeads": 0, "connectRate": 0, "totalLeads": 0 }, "status": "draft" }, "success": true}